Bug 630061 - (CVE-2010-3166) CVE-2010-3166 Mozilla Heap buffer overflow in nsTextFrameUtils::TransformText (MFSA 2010-53)
CVE-2010-3166 Mozilla Heap buffer overflow in nsTextFrameUtils::TransformText...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
public=20100907,reported=20100901,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-03 11:50 EDT by Josh Bressers
Modified: 2016-03-04 05:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 14:21:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2010-09-03 11:50:19 EDT
Security researcher wushi of team509 reported a heap buffer overflow in
code routines responsible for transforming text runs. A page could be
constructed with a bidirectional text run which upon reflow could result in
an incorrect length being calculated for the run of text. When this value
is subsequently used to allocate memory for the text too small a buffer may
be created potentially resulting in a buffer overflow and the execution of
attacker controlled memory.
Comment 1 Vincent Danen 2010-09-07 19:21:18 EDT
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-53.html
Comment 2 errata-xmlrpc 2010-09-07 20:33:59 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0681 https://rhn.redhat.com/errata/RHSA-2010-0681.html

Note You need to log in before you can comment on or make changes to this bug.